hpp-corbaserver: Hermite Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Hermite Class Reference

`#include <hpp/core_idl/paths-idl.hh>`

Inheritance diagram for Hermite:
[legend]
Collaboration diagram for Hermite:
[legend]

## Public Types
typedef Hermite_ptr | _ptr_type
typedef Hermite_var | _var_type
Public Types inherited from Path
typedef Path_ptr | _ptr_type
typedef Path_var | _var_type

## Public Member Functions
virtual | ~Hermite ()
inline ::hpp::core_idl::path_idl::Hermite_ptr | _this ()
Public Member Functions inherited from Path
virtual | ~Path ()
inline ::hpp::core_idl::Path_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from Path
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from Path
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef Hermite_ptr Hermite::_ptr_type

## ◆ _var_type

typedef Hermite_var Hermite::_var_type

## Constructor & Destructor Documentation

## ◆ ~Hermite()

virtual Hermite::~Hermite | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type Hermite::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type Hermite::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void Hermite::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type Hermite::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type Hermite::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::path_idl::Hermite_ptr Hermite::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type Hermite::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type Hermite::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* Hermite::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/paths-idl.hh